ARES_LIBRARY_INITIALIZED(3)

NAME
ares_library_initialized - get the initialization state

SYNOPSIS
#include <ares.h>

int ares_library_initialized(void)

DESCRIPTION
Returns information if c-ares needs to get initialized.

RETURN VALUE
ARES_ENOTINITIALIZED if not initialized and ARES_SUCCESS if no initialization is needed.

AVAILABILITY
This function was first introduced in c-ares version 1.11.0

SEE ALSO
ares_library_init(3), ares_library_cleanup(3)